Get a commit
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id}/commits/{commit} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}/commits/{commit}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}/commits/{commit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"at": "<string>",
"message": "<string>",
"authors": [
"<string>"
],
"stats": {
"files": 123,
"additions": 123,
"deletions": 123
},
"paths": [
"<string>"
],
"html_url": "<string>",
"tags": [
"<string>"
],
"session": "<string>",
"started_by": "<string>",
"turn_url": "<string>",
"parents": [
{
"id": "<string>",
"html_url": "<string>"
}
],
"files": [
{
"path": "<string>",
"at": "<string>",
"reason": "<string>",
"author": "<string>",
"status": "added",
"additions": 123,
"deletions": 123,
"diff": true,
"replaced": "<string>",
"added": "<string>",
"rebuilt": true,
"contents_url": "<string>",
"html_url": "<string>"
}
],
"checks": [
{
"id": "<string>",
"at": "<string>",
"outcome": "<string>",
"salience": "<string>",
"reason": "<string>",
"paths": [
"<string>"
]
}
]
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Folders
Get a commit
One commit, as GitHub’s commit page: each note it changed with its status and the text the edit replaced and put in, its parent commit, and its checks (the judgments recorded for that turn).
GET
/
folders
/
{id}
/
commits
/
{commit}
Get a commit
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id}/commits/{commit} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}/commits/{commit}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}/commits/{commit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"at": "<string>",
"message": "<string>",
"authors": [
"<string>"
],
"stats": {
"files": 123,
"additions": 123,
"deletions": 123
},
"paths": [
"<string>"
],
"html_url": "<string>",
"tags": [
"<string>"
],
"session": "<string>",
"started_by": "<string>",
"turn_url": "<string>",
"parents": [
{
"id": "<string>",
"html_url": "<string>"
}
],
"files": [
{
"path": "<string>",
"at": "<string>",
"reason": "<string>",
"author": "<string>",
"status": "added",
"additions": 123,
"deletions": 123,
"diff": true,
"replaced": "<string>",
"added": "<string>",
"rebuilt": true,
"contents_url": "<string>",
"html_url": "<string>"
}
],
"checks": [
{
"id": "<string>",
"at": "<string>",
"outcome": "<string>",
"salience": "<string>",
"reason": "<string>",
"paths": [
"<string>"
]
}
]
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Authorizations
Path Parameters
Response
The commit.
A commit with its files.